﻿// Copyright © Pixel Crushers. All rights reserved.

using UnityEngine;
using UnityEditor;

namespace PixelCrushers.QuestMachine.ORKSupport
{

    [CustomEditor(typeof(ORKGiveExpQuestAction), true)]
    public class ORKGiveExpQuestActionEditor : ORKCombatantQuestActionEditor
    {

        public override void OnInspectorGUI()
        {
            EditorGUILayout.HelpBox("Give an amount of a status value to a combatant.", MessageType.None);
            base.OnInspectorGUI();
            EditorGUILayout.PropertyField(serializedObject.FindProperty("m_statusValueID"));
            EditorGUILayout.PropertyField(serializedObject.FindProperty("m_amount"));
            EditorGUILayout.PropertyField(serializedObject.FindProperty("m_showNotification"));
            EditorGUILayout.PropertyField(serializedObject.FindProperty("m_showConsole"));
            serializedObject.ApplyModifiedProperties();
        }

    }

}