﻿// Copyright © Pixel Crushers. All rights reserved.

using UnityEngine;
using UnityEditor;

namespace PixelCrushers.QuestMachine.ORKSupport
{

    [CustomEditor(typeof(ORKItemQuestAction), true)]
    public class ORKItemQuestActionEditor : ORKCombatantQuestActionEditor
    {

        public override void OnInspectorGUI()
        {
            EditorGUILayout.HelpBox("Add or remove items from a combatant.", MessageType.None);
            base.OnInspectorGUI();
            EditorGUILayout.PropertyField(serializedObject.FindProperty("m_operation"));
            EditorGUILayout.PropertyField(serializedObject.FindProperty("m_quantity"));
            EditorGUILayout.PropertyField(serializedObject.FindProperty("m_itemName"));
            serializedObject.ApplyModifiedProperties();
        }

    }

}