﻿// Copyright © Pixel Crushers. All rights reserved.

using UnityEngine;
using UnityEditor;

namespace PixelCrushers.QuestMachine.ORKSupport
{

    [CustomEditor(typeof(ORKLevelQuestCondition), true)]
    public class ORKLevelQuestConditionEditor : ORKCombatantQuestConditionEditor
    {

        public override void OnInspectorGUI()
        {
            EditorGUILayout.HelpBox("Checks a combatant's level.", MessageType.None);
            base.OnInspectorGUI();
            EditorGUILayout.PropertyField(serializedObject.FindProperty("m_criterion"));
            EditorGUILayout.PropertyField(serializedObject.FindProperty("m_requiredValue"));
            serializedObject.ApplyModifiedProperties();
        }

    }

}