﻿// Copyright © Pixel Crushers. All rights reserved.

using UnityEngine;
using UnityEditor;

namespace PixelCrushers.QuestMachine.ORKSupport
{

    [CustomEditor(typeof(ORKCombatantQuestAction), true)]
    public class ORKCombatantQuestActionEditor : Editor
    {

        public override void OnInspectorGUI()
        {
            serializedObject.Update();
            var usePlayerProperty = serializedObject.FindProperty("m_usePlayer");
            EditorGUILayout.PropertyField(usePlayerProperty);
            if (!usePlayerProperty.boolValue)
            {
                EditorGUILayout.PropertyField(serializedObject.FindProperty("m_combatantName"));
            }
            serializedObject.ApplyModifiedProperties();
        }

    }

}