﻿// Copyright © Pixel Crushers. All rights reserved.

using UnityEngine;
using UnityEditor;

namespace PixelCrushers.QuestMachine.ORKSupport
{

    [CustomEditor(typeof(ORKCurrencyQuestAction), true)]
    public class ORKCurrencyQuestActionEditor : ORKCombatantQuestActionEditor
    {

        public override void OnInspectorGUI()
        {
            EditorGUILayout.HelpBox("Add or remove currency from a combatant.", MessageType.None);
            base.OnInspectorGUI();
            EditorGUILayout.PropertyField(serializedObject.FindProperty("m_operation"));
            EditorGUILayout.PropertyField(serializedObject.FindProperty("m_quantity"));
            EditorGUILayout.PropertyField(serializedObject.FindProperty("m_currencyName"));
            serializedObject.ApplyModifiedProperties();
        }

    }

}