﻿// Copyright © Pixel Crushers. All rights reserved.

using UnityEngine;
using UnityEditor;

namespace PixelCrushers.QuestMachine.ORKSupport
{

    [CustomEditor(typeof(ORKCombatantQuestCondition), true)]
    public class ORKCombatantQuestConditionEditor : Editor
    {

        public override void OnInspectorGUI()
        {
            serializedObject.Update();
            var checkPlayerProperty = serializedObject.FindProperty("m_checkPlayer");
            EditorGUILayout.PropertyField(checkPlayerProperty);
            if (!checkPlayerProperty.boolValue)
            {
                EditorGUILayout.PropertyField(serializedObject.FindProperty("m_combatantName"));
            }
            serializedObject.ApplyModifiedProperties();
        }

    }

}