﻿// Copyright © Pixel Crushers. All rights reserved.

using UnityEngine;
using UnityEditor;

namespace PixelCrushers.QuestMachine.ORKSupport
{

    [CustomEditor(typeof(ORKHasCurrencyQuestCondition), true)]
    public class ORKHasCurrencyQuestConditionEditor : ORKCombatantQuestConditionEditor
    {

        public override void OnInspectorGUI()
        {
            EditorGUILayout.HelpBox("Checks a combatant's currency.", MessageType.None);
            base.OnInspectorGUI();
            EditorGUILayout.PropertyField(serializedObject.FindProperty("m_criterion"));
            EditorGUILayout.PropertyField(serializedObject.FindProperty("m_requiredValue"));
            EditorGUILayout.PropertyField(serializedObject.FindProperty("m_currencyName"));
            serializedObject.ApplyModifiedProperties();
        }

    }

}