﻿// Copyright © Pixel Crushers. All rights reserved.

using UnityEngine;
using UnityEditor;

namespace PixelCrushers.QuestMachine.ORKSupport
{

    [CustomEditor(typeof(ORKHasFactionSympathyQuestCondition), true)]
    public class ORKCombatantHasFactionSympathyQuestConditionEditor : ORKCombatantQuestConditionEditor
    {

        public override void OnInspectorGUI()
        {
            EditorGUILayout.HelpBox("Checks a combatant's faction sympathy to another faction.", MessageType.None);
            base.OnInspectorGUI();
            EditorGUILayout.PropertyField(serializedObject.FindProperty("m_criterion"));
            EditorGUILayout.PropertyField(serializedObject.FindProperty("m_requiredValue"));
            EditorGUILayout.PropertyField(serializedObject.FindProperty("m_otherFaction"));
            serializedObject.ApplyModifiedProperties();
        }

    }

}