﻿// Copyright © Pixel Crushers. All rights reserved.

using UnityEngine;
using UnityEditor;

namespace PixelCrushers.QuestMachine.ORKSupport
{

    [CustomEditor(typeof(ORKHasItemQuestCondition), true)]
    public class ORKHasItemQuestConditionEditor : ORKCombatantQuestConditionEditor
    {

        public override void OnInspectorGUI()
        {
            EditorGUILayout.HelpBox("Checks a combatant's inventory.", MessageType.None);
            base.OnInspectorGUI();
            EditorGUILayout.PropertyField(serializedObject.FindProperty("m_requiredValue"));
            EditorGUILayout.PropertyField(serializedObject.FindProperty("m_itemName"));
            serializedObject.ApplyModifiedProperties();
        }

    }

}