﻿// Copyright © Pixel Crushers. All rights reserved.

using UnityEngine;
using UnityEditor;

namespace PixelCrushers.QuestMachine.ORKSupport
{

    [CustomEditor(typeof(QuestGiverForORK), true)]
    public class QuestGiverForORKEditor : QuestGiverEditor
    {
        public override void OnInspectorGUI()
        {
            base.OnInspectorGUI();
            serializedObject.Update();
            EditorGUILayout.PropertyField(serializedObject.FindProperty("monitorPlayerInventory"));
            serializedObject.ApplyModifiedProperties();
        }
    }
}